Bug 651328 - missing gapplication.h
Summary: missing gapplication.h
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 14
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 09:34 UTC by Akira TAGOH
Modified: 2012-01-04 13:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 663289 (view as bug list)
Environment:
Last Closed: 2012-01-04 13:41:35 UTC
Type: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-11-09 09:34:00 UTC
Description of problem:
just including gtk.h from gtk3-devel in the source code gives an error.

Version-Release number of selected component (if applicable):
glib2-devel-2.26.0-2.fc14.x86_64
gtk3-devel-2.90.5-1.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. echo -e "#include <gtk/gtk.h>\nint main(){return 0;}"|gcc -Wall `pkg-config --cflags --libs gtk+-3.0` -xc -
2.
3.
  
Actual results:
In file included from /usr/include/gtk-3.0/gtk/gtk.h:43:0,
                 from <stdin>:1:
/usr/include/gtk-3.0/gtk/gtkapplication.h:57:3: error: expected specifier-qualifier-list before ‘GApplication’
/usr/include/gtk-3.0/gtk/gtkapplication.h:66:3: error: expected specifier-qualifier-list before ‘GApplicationClass’


Expected results:
no errors

Additional info:

Comment 1 Kevin DeKorte 2010-11-15 22:48:58 UTC
Also fails with helloworld.c application found here: http://www.levien.com/gimp/hello.html and compiled with

gcc -o helloworld helloworld.c `pkg-config --cflags --libs gtk+-3.0`

In file included from /usr/include/gtk-3.0/gtk/gtk.h:43:0,
                 from helloworld.c:1:
/usr/include/gtk-3.0/gtk/gtkapplication.h:57:3: error: expected specifier-qualifier-list before ‘GApplication’
/usr/include/gtk-3.0/gtk/gtkapplication.h:66:3: error: expected specifier-qualifier-list before ‘GApplicationClass’


Works fine with  

gcc -o helloworld helloworld.c `pkg-config --cflags --libs gtk+-2.0`


gtk3-2.90.5-1.fc14.x86_64
gtk3-devel-2.90.5-1.fc14.x86_64

Comment 2 Matthias Clasen 2010-11-16 12:42:11 UTC
gtk3 in F14 is a dead-end, unfortunately. gtk3 requires a newer glib than f14 has or will have.

Comment 3 Danilo Cestari 2010-11-18 22:05:59 UTC
Will glib-2.27.3 be available in F14 repositories? 
It has gapplication.h.

Comment 4 Hin-Tak Leung 2010-12-15 08:26:22 UTC
Just encountered this problem doing rpmbuild --rebuild avahi

Comment 5 Hin-Tak Leung 2010-12-15 10:05:19 UTC
BTW, even though I managed to build both 32-bit and 64-bit glib-2.27.3 on F14 after jumping through some hoops (bug 663289), the result appears to to subtly broken - or rather, I get: 

/usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/libgtk-x11-3.0.so: undefined reference to `g_application_add_action'
/usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/libgtk-x11-3.0.so: undefined reference to `g_application_set_action_enabled'
/usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/libgtk-x11-3.0.so: undefined reference to `g_application_quit_with_data'
collect2: ld returned 1 exit status

on trying to rebuild avahi. This suggests that gtk-x11-3 probably also needs to be rebuilt if I upgraded glib2 to 2.27.3 .

Comment 6 Tim Niemueller 2011-08-18 19:04:51 UTC
Building using gtkmm30-devel is also broken. This is not a good thing to raise acceptance of Gtk3 early...

Comment 7 Tim Niemueller 2012-01-04 13:41:35 UTC
F-14 is EOL.


Note You need to log in before you can comment on or make changes to this bug.